﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RangeSlider_Tooltip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        RangeSliderViewModel rvm = new RangeSliderViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = rvm;
        }        

        private void rangeSliderControl1_RangeChanged(object sender, RoutedPropertyChangedEventArgs<DoubleRange> e)
        {
            string thumbName = ((System.Windows.Controls.Primitives.Thumb)(rangeSliderControl1.SelectedThumb)).Name;
            if (e.NewValue != null)
            {
                if (thumbName == "HorizontalThumb")
                {
                    rvm.MyValue = (double)((e.NewValue as DoubleRange).End);
                }
                else if (thumbName == "HorizontalThumbSecond")
                {
                    rvm.MyValue = (double)((e.NewValue as DoubleRange).Start);
                }
            }
        }
    }
}
