﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Tools.Controls;

namespace RangeSlider_Tooltip
{
    public class RangeSliderViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<Items> itemssource;
        public ObservableCollection<Items> Itemssource
        {
            get { return itemssource; }
            set
            {
                itemssource = value;
                OnPropertyChanged("Itemssource");
            }
        }

        private double myValue;

        public double MyValue
        {
            get { return myValue; }
            set 
            {
                myValue = value;
                OnPropertyChanged("MyValue");
            }
        }


        public RangeSliderViewModel()
        {
            SetCustomLabel();
        }

        private void SetCustomLabel()
        {
            int j = 0;
            Itemssource = new ObservableCollection<Items>();
            for (int i = 0; i <= 100; i++)
            {
                j = i * 10;
                Itemssource.Add(new Items() { label=j.ToString() , value= j  });
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
        #endregion
    }
}
